Bug 1264215 - python-dnf-plugins-extras-local together with mock can be dangerous
Summary: python-dnf-plugins-extras-local together with mock can be dangerous
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-17 22:07 UTC by Peter Meier
Modified: 2016-08-08 11:53 UTC (History)
13 users (show)

Fixed In Version: mock-1.2.15-1.fc23 mock-1.2.15-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-08 11:53:44 UTC


Attachments (Terms of Use)

Description Peter Meier 2015-09-17 22:07:43 UTC
I just tried to build a F23 package using mock on my F22, target was F23.

Afterwards, when running dnf update I suddenly had F23 packages to be updated, all comming from my _local repository, which had a huge mix with F22 & F23 packages.

I was not able to exclude that repository from updates.

I think this behavior is quite dangerous and should not be the default.

Comment 1 Igor Gnatenko 2015-12-12 19:19:42 UTC
Mock should use:
--disableplugin=local

Comment 2 Miroslav Suchý 2015-12-22 01:12:47 UTC
Fixed in commit:
* 4f983db (HEAD -> devel, origin/devel) disable "local" dnf plugin [RHBZ#1264215]

Comment 3 Fedora Update System 2016-02-22 21:42:37 UTC
mock-1.2.15-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-327a55296a

Comment 4 Fedora Update System 2016-02-22 21:42:37 UTC
mock-1.2.15-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c713976fa

Comment 5 Fedora Update System 2016-02-22 21:42:52 UTC
mock-1.2.15-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-557b8f85fe

Comment 6 Fedora Update System 2016-02-22 21:44:00 UTC
mock-1.2.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ff0b113baf

Comment 7 Fedora Update System 2016-02-23 21:26:42 UTC
mock-1.2.15-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0c713976fa

Comment 8 Jan Kurik 2016-02-24 13:45:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 9 Fedora Update System 2016-02-24 18:23:38 UTC
mock-1.2.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ff0b113baf

Comment 10 Fedora Update System 2016-02-24 19:19:34 UTC
mock-1.2.15-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-557b8f85fe

Comment 11 Fedora Update System 2016-02-24 21:52:23 UTC
mock-1.2.15-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-327a55296a

Comment 12 Fedora Update System 2016-02-26 19:22:49 UTC
mock-1.2.15-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-03-02 21:50:55 UTC
mock-1.2.15-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-03-08 20:54:09 UTC
mock-1.2.16-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3405d4e45b

Comment 15 Fedora Update System 2016-03-08 20:55:14 UTC
mock-1.2.16-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25ff2f1000

Comment 16 Fedora Update System 2016-03-09 23:18:45 UTC
mock-1.2.16-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25ff2f1000

Comment 17 Fedora Update System 2016-03-09 23:21:18 UTC
mock-1.2.16-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3405d4e45b


Note You need to log in before you can comment on or make changes to this bug.